﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS1')
BEGIN 
PRINT 'Creating index XSTKMAS1 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS1] ON [dbo].[STKMAS] 
(
	[ALPH] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS2')
BEGIN 
PRINT 'Creating index XSTKMAS2 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS2] ON [dbo].[STKMAS] 
(
	[DEPT] ASC,
	[ALPH] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS3')
BEGIN 
PRINT 'Creating index XSTKMAS3 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS3] ON [dbo].[STKMAS] 
(
	[SUPP] ASC,
	[PROD] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS4')
BEGIN 
PRINT 'Creating index XSTKMAS4 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS4] ON [dbo].[STKMAS] 
(
	[SUPP] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS5')
BEGIN 
PRINT 'Creating index XSTKMAS5 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS5] ON [dbo].[STKMAS] 
(
	[CTGY] ASC,
	[GRUP] ASC,
	[SGRP] ASC,
	[STYL] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKMAS]') AND name = N'XSTKMAS6')
BEGIN 
PRINT 'Creating index XSTKMAS6 on table STKMAS'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKMAS6] ON [dbo].[STKMAS] 
(
	[SUP1] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IRIS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IRIS')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IRIS on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IRIS] DEFAULT ((0)) FOR [IRIS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IMDN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IMDN')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IMDN on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IMDN] DEFAULT ((0)) FOR [IMDN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ICAT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ICAT')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ICAT on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ICAT] DEFAULT ((0)) FOR [ICAT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IOBS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IOBS')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IOBS on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IOBS] DEFAULT ((0)) FOR [IOBS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IDEL on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ITAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ITAG')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ITAG on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ITAG] DEFAULT ((0)) FOR [ITAG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'INON' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_INON')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_INON on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_INON] DEFAULT ((0)) FOR [INON]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FLAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FLAG')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FLAG on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FLAG] DEFAULT ((0)) FOR [FLAG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'CFLG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_CFLG')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_CFLG on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_CFLG] DEFAULT ((0)) FOR [CFLG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SQOR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SQOR')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SQOR on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SQOR] DEFAULT ((0)) FOR [SQOR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'TACT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_TACT')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_TACT on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_TACT] DEFAULT ((0)) FOR [TACT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'NOOR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_NOOR')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_NOOR on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_NOOR] DEFAULT ((0)) FOR [NOOR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IMCP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IMCP')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IMCP on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IMCP] DEFAULT ((0)) FOR [IMCP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IWAR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IWAR')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IWAR on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IWAR] DEFAULT ((0)) FOR [IWAR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IPRD' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IPRD')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IPRD on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IPRD] DEFAULT ((0)) FOR [IPRD]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'AAPC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_AAPC')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_AAPC on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_AAPC] DEFAULT ((0)) FOR [AAPC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IPSK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IPSK')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IPSK on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IPSK] DEFAULT ((0)) FOR [IPSK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FRAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FRAG')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FRAG on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FRAG] DEFAULT ((0)) FOR [FRAG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ELEC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ELEC')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ELEC on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ELEC] DEFAULT ((0)) FOR [ELEC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SOFS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SOFS')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SOFS on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SOFS] DEFAULT ((0)) FOR [SOFS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSPR1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSPR1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSPR1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSPR1] DEFAULT ((0)) FOR [MSPR1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSPR2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSPR2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSPR2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSPR2] DEFAULT ((0)) FOR [MSPR2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSPR3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSPR3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSPR3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSPR3] DEFAULT ((0)) FOR [MSPR3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSPR4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSPR4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSPR4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSPR4] DEFAULT ((0)) FOR [MSPR4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTQ1] DEFAULT ((0)) FOR [MSTQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTQ2] DEFAULT ((0)) FOR [MSTQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTQ3] DEFAULT ((0)) FOR [MSTQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTQ4] DEFAULT ((0)) FOR [MSTQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREQ1] DEFAULT ((0)) FOR [MREQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREQ2] DEFAULT ((0)) FOR [MREQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREQ3] DEFAULT ((0)) FOR [MREQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREQ4] DEFAULT ((0)) FOR [MREQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREV1] DEFAULT ((0)) FOR [MREV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREV2] DEFAULT ((0)) FOR [MREV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREV3] DEFAULT ((0)) FOR [MREV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MREV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MREV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MREV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MREV4] DEFAULT ((0)) FOR [MREV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADQ1] DEFAULT ((0)) FOR [MADQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADQ2] DEFAULT ((0)) FOR [MADQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADQ3] DEFAULT ((0)) FOR [MADQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADQ4] DEFAULT ((0)) FOR [MADQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADV1] DEFAULT ((0)) FOR [MADV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADV2] DEFAULT ((0)) FOR [MADV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADV3] DEFAULT ((0)) FOR [MADV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MADV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MADV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MADV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MADV4] DEFAULT ((0)) FOR [MADV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MPVV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MPVV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MPVV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MPVV1] DEFAULT ((0)) FOR [MPVV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MPVV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MPVV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MPVV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MPVV2] DEFAULT ((0)) FOR [MPVV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MPVV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MPVV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MPVV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MPVV3] DEFAULT ((0)) FOR [MPVV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MPVV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MPVV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MPVV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MPVV4] DEFAULT ((0)) FOR [MPVV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBQ1] DEFAULT ((0)) FOR [MIBQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBQ2] DEFAULT ((0)) FOR [MIBQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBQ3] DEFAULT ((0)) FOR [MIBQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBQ4] DEFAULT ((0)) FOR [MIBQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBV1] DEFAULT ((0)) FOR [MIBV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBV2] DEFAULT ((0)) FOR [MIBV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBV3] DEFAULT ((0)) FOR [MIBV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MIBV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MIBV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MIBV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MIBV4] DEFAULT ((0)) FOR [MIBV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTQ1] DEFAULT ((0)) FOR [MRTQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTQ2] DEFAULT ((0)) FOR [MRTQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTQ3] DEFAULT ((0)) FOR [MRTQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTQ4] DEFAULT ((0)) FOR [MRTQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTV1] DEFAULT ((0)) FOR [MRTV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTV2] DEFAULT ((0)) FOR [MRTV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTV3] DEFAULT ((0)) FOR [MRTV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MRTV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MRTV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MRTV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MRTV4] DEFAULT ((0)) FOR [MRTV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MCCV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MCCV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MCCV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MCCV1] DEFAULT ((0)) FOR [MCCV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MCCV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MCCV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MCCV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MCCV2] DEFAULT ((0)) FOR [MCCV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MCCV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MCCV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MCCV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MCCV3] DEFAULT ((0)) FOR [MCCV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MCCV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MCCV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MCCV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MCCV4] DEFAULT ((0)) FOR [MCCV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MDRV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MDRV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MDRV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MDRV1] DEFAULT ((0)) FOR [MDRV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MDRV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MDRV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MDRV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MDRV2] DEFAULT ((0)) FOR [MDRV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MDRV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MDRV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MDRV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MDRV3] DEFAULT ((0)) FOR [MDRV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MDRV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MDRV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MDRV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MDRV4] DEFAULT ((0)) FOR [MDRV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSQ1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSQ1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSQ1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSQ1] DEFAULT ((0)) FOR [MBSQ1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSQ2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSQ2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSQ2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSQ2] DEFAULT ((0)) FOR [MBSQ2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSQ3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSQ3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSQ3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSQ3] DEFAULT ((0)) FOR [MBSQ3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSQ4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSQ4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSQ4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSQ4] DEFAULT ((0)) FOR [MBSQ4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSV1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSV1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSV1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSV1] DEFAULT ((0)) FOR [MBSV1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSV2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSV2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSV2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSV2] DEFAULT ((0)) FOR [MBSV2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSV3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSV3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSV3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSV3] DEFAULT ((0)) FOR [MBSV3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MBSV4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MBSV4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MBSV4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MBSV4] DEFAULT ((0)) FOR [MBSV4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTP1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTP1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTP1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTP1] DEFAULT ((0)) FOR [MSTP1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTP2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTP2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTP2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTP2] DEFAULT ((0)) FOR [MSTP2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTP3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTP3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTP3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTP3] DEFAULT ((0)) FOR [MSTP3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'MSTP4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_MSTP4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_MSTP4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_MSTP4] DEFAULT ((0)) FOR [MSTP4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FIL11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FIL11')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FIL11 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FIL11] DEFAULT ((0)) FOR [FIL11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FIL12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FIL12')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FIL12 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FIL12] DEFAULT ((0)) FOR [FIL12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FIL13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FIL13')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FIL13 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FIL13] DEFAULT ((0)) FOR [FIL13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'FIL14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_FIL14')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_FIL14 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_FIL14] DEFAULT ((0)) FOR [FIL14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ToForecast' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ToForecast')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ToForecast on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ToForecast] DEFAULT ((0)) FOR [ToForecast]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'IsInitialised' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_IsInitialised')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_IsInitialised on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_IsInitialised] DEFAULT ((1)) FOR [IsInitialised]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'PeriodDemand' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_PeriodDemand')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_PeriodDemand on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_PeriodDemand] DEFAULT ((0)) FOR [PeriodDemand]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'PeriodTrend' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_PeriodTrend')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_PeriodTrend on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_PeriodTrend] DEFAULT ((0)) FOR [PeriodTrend]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ErrorForecast' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ErrorForecast')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ErrorForecast on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ErrorForecast] DEFAULT ((0)) FOR [ErrorForecast]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ErrorSmoothed' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ErrorSmoothed')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ErrorSmoothed on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ErrorSmoothed] DEFAULT ((0)) FOR [ErrorSmoothed]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'BufferConversion' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_BufferConversion')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_BufferConversion on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_BufferConversion] DEFAULT ((0)) FOR [BufferConversion]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'BufferStock' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_BufferStock')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_BufferStock on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_BufferStock] DEFAULT ((0)) FOR [BufferStock]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'ServiceLevelOverride' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_ServiceLevelOverride')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_ServiceLevelOverride on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_ServiceLevelOverride] DEFAULT ((0)) FOR [ServiceLevelOverride]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'OrderLevel' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_OrderLevel')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_OrderLevel on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_OrderLevel] DEFAULT ((0)) FOR [OrderLevel]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SaleWeightSeason' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SaleWeightSeason')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SaleWeightSeason on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SaleWeightSeason] DEFAULT ((0)) FOR [SaleWeightSeason]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SaleWeightBank' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SaleWeightBank')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SaleWeightBank on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SaleWeightBank] DEFAULT ((0)) FOR [SaleWeightBank]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SaleWeightPromo' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SaleWeightPromo')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SaleWeightPromo on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SaleWeightPromo] DEFAULT ((0)) FOR [SaleWeightPromo]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'StockLossPerWeek' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_StockLossPerWeek')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_StockLossPerWeek on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_StockLossPerWeek] DEFAULT ((0)) FOR [StockLossPerWeek]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias0' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias0')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias0 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias0] DEFAULT ((0)) FOR [SalesBias0]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias1')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias1 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias1] DEFAULT ((0)) FOR [SalesBias1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias2')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias2 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias2] DEFAULT ((0)) FOR [SalesBias2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias3')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias3 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias3] DEFAULT ((0)) FOR [SalesBias3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias4')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias4 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias4] DEFAULT ((0)) FOR [SalesBias4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias5')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias5 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias5] DEFAULT ((0)) FOR [SalesBias5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'STKMAS' AND COLUMN_NAME = 'SalesBias6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_STKMAS_SalesBias6')
BEGIN 
    PRINT 'Creating default constraint DF_STKMAS_SalesBias6 on table STKMAS' 
    ALTER TABLE [dbo].[STKMAS]
    ADD CONSTRAINT [DF_STKMAS_SalesBias6] DEFAULT ((0)) FOR [SalesBias6]
END 
GO

